FileUtil (Jython API documentation)
Date: 2012-08-13

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.python.core.util
Class FileUtil

    java.lang.Object
      org.python.core.util.FileUtil

    public class FileUtil

extends Object

Utility methods for Java file handling.

Constructor Summary
`FileUtil()`

Method Summary
`static byte[]` | `readBytes(InputStream in)` Read all bytes from the input stream.
`static PyFile` | `wrap(InputStream is)` Creates a PyFile that reads from the given `InputStream`.
`static PyFile` | `wrap(InputStream is, int bufsize)` Creates a PyFile that reads from the given `InputStream` with bufsize.
`static PyFile` | `wrap(InputStream is, String mode)` Creates a PyFile that reads from the given `InputStream` with mode.
`static PyFile` | `wrap(OutputStream os)` Creates a PyFile that writes to the given `OutputStream`.
`static PyFile` | `wrap(OutputStream os, int bufsize)` Creates a PyFile that writes to the given `OutputStream` with bufsize.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileUtil

    public FileUtil()

Method Detail

### wrap

    public static PyFile wrap(InputStream is,
                              String mode)

  Creates a PyFile that reads from the given `InputStream` with mode.

### wrap

    public static PyFile wrap(InputStream is,
                              int bufsize)

  Creates a PyFile that reads from the given `InputStream` with bufsize.

### wrap

    public static PyFile wrap(InputStream is)

  Creates a PyFile that reads from the given `InputStream`.

### wrap

    public static PyFile wrap(OutputStream os,
                              int bufsize)

  Creates a PyFile that writes to the given `OutputStream` with bufsize.

### wrap

    public static PyFile wrap(OutputStream os)

  Creates a PyFile that writes to the given `OutputStream`.

### readBytes

    public static byte[] readBytes(InputStream in)
                            throws IOException

  Read all bytes from the input stream.

  Note that using this method to read very large streams could cause out-of-memory exceptions and/or block for large periods of time.

  Throws:
    `IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Jython homepage